Subject: Re: [bug#55814] [PATCH v2] Updated python-flake8 and inputs to reenable build.

From: Maxime Devos <[email-masked]>
Date: Mon, 06 Jun 2022 20:33:44 +0200

Christopher Rodriguez schreef op ma 06-06-2022 om 13:24 [-0400]:
> ---
> 
> Maxime,
> 
> Thanks for the feedback! Sorry for missing something so basic.
> 
> I swapped both of the `if` statements with `when` statements, as they are more
> semantically appropriate here anyway.
> 
> I also fixed a mistake I found in the lambda call (#:keys instead of #:key), and
> uploaded the current version of `python-flake8` (4.0.1) to the software heritage
> project. I'm waiting for the save to go through, but after that, the linter will
> return no errors.
> 
>  gnu/packages/python-xyz.scm | 54 ++++++++++++++++++-------------------
>  1 file changed, 26 insertions(+), 28 deletions(-)

Only a single independent change per patch, otherwise LGTM, haven't
looked at the source diff or build it though.  On Software Heritage:
IIUC, saving something on SWH is not something you can do as individual
(except for git repos), rather, SWH asks a Guix server what sources are
used by packages.  So effectively SWH will wait for the patch to be
applied before archiving it unless I'm misunderstanding things.

Greetings,
Maxime.